Here we are again, ‘a brand new’ Proxmox : 6.1 based on debian Buster (10.2) including ZFS 0.8.2 (zfs on Linux). However updating by default will fail due to the inclusion of only the enterprise (paying) repo’s; They do however offer free repo’s that are marked as testing; To activate those and get rid of this ugly error, follow along;


remove or disable pve-enterprise repo :

rm -f /etc/apt/sources.list.d/pve-enterprise.list

add to nano /etc/apt/sources.list

deb http://download.proxmox.com/debian buster pve-no-subscription

Now you can run those updates 🙂  take note only  apt-get update and apt-get dist-upgrade are supported by Proxmox !

Update & upgrade

apt-get update
apt-get dist-upgrade

happy virtualizing !